local _, cClass = UnitClass("player")
if (cClass ~= "DEATHKNIGHT") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = { }
		
	-- Killing Machine
	if (GetSpellInfo(51124) ~= nil) then
		tmplist[string.lower(GetSpellInfo(51124))] = { color={1,0,0}, name=GetSpellInfo(51124), }
	end
	
	-- Freezing Fog
	if (GetSpellInfo(59052) ~= nil) then
		tmplist[string.lower(GetSpellInfo(59052))] = { color={0,0,1}, name=GetSpellInfo(59052), }
	end
	
	-- IceBound Fortitude
	if (GetSpellInfo(48792) ~= nil) then
		tmplist[string.lower(GetSpellInfo(48792))] = { color={0,0.5,1}, name=GetSpellInfo(48792), }
	end
	
	-- Anti-Magic Shell
	if (GetSpellInfo(48707) ~= nil) then
		tmplist[string.lower(GetSpellInfo(48707))] = { color={0,1,0}, name=GetSpellInfo(48707), }
	end
	
	-- Pillar of Frost
	if (GetSpellInfo(51271) ~= nil) then
		tmplist[string.lower(GetSpellInfo(51271))] = { color={0,0,1}, name=GetSpellInfo(51271), }
	end
	
	-- Death's Advance
	if (GetSpellInfo(96268) ~= nil) then
		tmplist[string.lower(GetSpellInfo(96268))] = { color={1,0,0.5}, name=GetSpellInfo(96268), }
	end
	
	return tmplist
end