local _, cClass = UnitClass("player")
if (cClass ~= "MAGE") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = { }

	-- Hot Streak
	if (GetSpellInfo(48108) ~= nil) then
		tmplist[string.lower(GetSpellInfo(48108))] = { color={1,0,0}, name=GetSpellInfo(48108), }
	end
	
	-- Arcane Power
	if (GetSpellInfo(12042) ~= nil) then
		tmplist[string.lower(GetSpellInfo(12042))] = { color={0.25,0.5,75}, name=GetSpellInfo(12042), }
	end
	
	-- Icy Veins
	if (GetSpellInfo(12472) ~= nil) then
		tmplist[string.lower(GetSpellInfo(12472))] = { color={0.27,0.51,0.71}, name=GetSpellInfo(12472), }
	end
	
	-- Fingers of Frost
	if (GetSpellInfo(44544) ~= nil) then
		tmplist[string.lower(GetSpellInfo(44544))] = { color={0,0,1}, name=GetSpellInfo(44544), }
	end
	
	-- Ice Barrier
	if (GetSpellInfo(11426) ~= nil) then
		tmplist[string.lower(GetSpellInfo(11426))] = { color={0,0,1}, name=GetSpellInfo(11426), }
	end
	
	-- Ice Block
	if (GetSpellInfo(45438) ~= nil) then
		tmplist[string.lower(GetSpellInfo(45438))] = { color={0,0,0.5}, name=GetSpellInfo(45438), }
	end
	
	-- Invisibility
	if (GetSpellInfo(32612) ~= nil) then
		tmplist[string.lower(GetSpellInfo(32612))] = { color={0.39,0.58,0.93}, name=GetSpellInfo(32612), }
	end
	
	-- Brain Freeze (Fireball!) ~instant cast fireball~
	if (GetSpellInfo(57761) ~= nil) then
		tmplist[string.lower(GetSpellInfo(57761))] = { color={0.95,0.1,0.2}, name=GetSpellInfo(57761), }
	end
	
	-- Combustion
	if (GetSpellInfo(11129) ~= nil) then
		tmplist[string.lower(GetSpellInfo(11129))] = { color={1,0.5,0}, name=GetSpellInfo(11129), }
	end
	
	-- Arcane Charge (debuff)
	if (GetSpellInfo(36032) ~= nil) then
		tmplist[string.lower(GetSpellInfo(36032))] = { color={0,0,1}, name=GetSpellInfo(36032), debuff=true, }
	end
	
	--Arcane Missiles!
	if (GetSpellInfo(79683) ~= nil) then
		tmplist[string.lower(GetSpellInfo(79683))] = { color={1,0,0.5}, name=GetSpellInfo(79683), }
	end
	
	tmplist["combatlog"] = { }
	
	if (GetSpellInfo(55342) ~= nil) then
		tmplist["combatlog"]["55342"] = { name=GetSpellInfo(55342), color={0,0.5,1}, dur=30, } -- Mirror Image
	end
	
	if (GetSpellInfo(41425) ~= nil) then
		tmplist["combatlog"]["41425"] = { name=GetSpellInfo(41425), color={1,0,0}, dur=30, } -- Hypothermia
	end
		
	return tmplist
end