local _, cClass = UnitClass("player")
if (cClass ~= "PRIEST") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = { }
		
	-- Surge of Light
	if (GetSpellInfo(65767) ~= nil) then
		tmplist[string.lower(GetSpellInfo(65767))] = { color={0.93,0.98,0.51}, name=GetSpellInfo(65767), }
	end
	
	-- Pain Suppression
	if (GetSpellInfo(33206) ~= nil) then
		tmplist[string.lower(GetSpellInfo(33206))] = { color={0,0.5,1}, name=GetSpellInfo(33206), }
	end
	
	-- Power Infusion
	if (GetSpellInfo(10060) ~= nil) then
		tmplist[string.lower(GetSpellInfo(10060))] = { color={1,0.5,0}, name=GetSpellInfo(10060), }
	end
	
	-- Borrowed Time
	if (GetSpellInfo(59889) ~= nil) then
		tmplist[string.lower(GetSpellInfo(59889))] = { color={1,0.5,0}, name=GetSpellInfo(59889), }
	end
	
	-- Serendipity
	if (GetSpellInfo(63735) ~= nil) then
		tmplist[string.lower(GetSpellInfo(63735))] = { color={0,0,1}, maxc=3, name=GetSpellInfo(63735), }
	end
	
	-- Dispersion
	if (GetSpellInfo(47585) ~= nil) then
		tmplist[string.lower(GetSpellInfo(47585))] = { color={1,0,0.5}, name=GetSpellInfo(47585), }
	end
	
	-- Mind melt
	if (GetSpellInfo(87160) ~= nil) then
		tmplist[string.lower(GetSpellInfo(87160))] = { color={1,0,0.5}, name=GetSpellInfo(87160), }
	end
	
	-- Shadow Orb
	if (GetSpellInfo(77487) ~= nil) then
		tmplist[string.lower(GetSpellInfo(77487))] = { color={1,0,0.5}, name=GetSpellInfo(77487), }
	end
	
	--Evangelism
	if (GetSpellInfo(81661) ~= nil) then
		tmplist[string.lower(GetSpellInfo(81661))] = { color={0.79,0.78,0.35}, name=GetSpellInfo(81661), }
	end

	-- Archangel
	if (GetSpellInfo(81700) ~= nil) then
		tmplist[string.lower(GetSpellInfo(81700))] = { color={0.93,0.98,0.51}, name=GetSpellInfo(81700), }
	end
	
	-- Dark Archangel
	if (GetSpellInfo(129208) ~= nil) then
		tmplist[string.lower(GetSpellInfo(129208))] = { color={1,0,0.5}, name=GetSpellInfo(129208), }
	end
	
	-- Chakra: Prayer of Healing
	if (GetSpellInfo(81206) ~= nil) then
		tmplist[string.lower(GetSpellInfo(81206))] = { color={0,1,0}, name=GetSpellInfo(81206), }
	end
	
	return tmplist
end