local _, cClass = UnitClass("player")
if (cClass ~= "ROGUE") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = { }
		
	-- Vendetta
	if (GetSpellInfo(79140) ~= nil) then
		tmplist[string.lower(GetSpellInfo(79140))] = { color={1,0,0}, name=GetSpellInfo(79140), }
	end
	
	-- Sprint
	if (GetSpellInfo(2983) ~= nil) then
		tmplist[string.lower(GetSpellInfo(2983))] = { color={0,1,0}, name=GetSpellInfo(2983), }
	end
	
	-- Adrenline Rush
	if (GetSpellInfo(13750) ~= nil) then
		tmplist[string.lower(GetSpellInfo(13750))] = { color={0.7,0.1,0.1}, name=GetSpellInfo(13750), }
	end
	
	-- Blade Flurry
	if (GetSpellInfo(13877) ~= nil) then
		tmplist[string.lower(GetSpellInfo(13877))] = { color={1,0.5,0}, name=GetSpellInfo(13877), }
	end
	
	-- Cloak of Shadows
	if (GetSpellInfo(31224) ~= nil) then
		tmplist[string.lower(GetSpellInfo(31224))] = { color={1,0,0.5}, name=GetSpellInfo(31224), }
	end
	
	-- Evasion
	if (GetSpellInfo(5277) ~= nil) then
		tmplist[string.lower(GetSpellInfo(5277))] = { color={0.93,0.98,0.51}, name=GetSpellInfo(5277), }
	end
	
	-- Vanish
	if (GetSpellInfo(1856) ~= nil) then
		tmplist[string.lower(GetSpellInfo(1856))] = { color={0.28,0.24,0.55}, name=GetSpellInfo(1856), }
	end
	
	-- Killing Spree
	if (GetSpellInfo(51690) ~= nil) then
		tmplist[string.lower(GetSpellInfo(51690))] = { color={0.7,0.1,0.1}, name=GetSpellInfo(51690), }
	end
	
	-- Slice and Dice
	if (GetSpellInfo(5171) ~= nil) then
		tmplist[string.lower(GetSpellInfo(5171))]  = { color={1,0.5,0}, name=GetSpellInfo(5171), }
	end
	
	-- Shadow Dance
	if (GetSpellInfo(51713) ~= nil) then
		tmplist[string.lower(GetSpellInfo(51713))] = { color={0.7,0.1,0.1}, name=GetSpellInfo(51713), }
	end
	
	-- Feint (aoe reduction buff)
	if (GetSpellInfo(1966) ~= nil) then
		tmplist[string.lower(GetSpellInfo(1966))] = { color={0.4,0.4,1}, name=GetSpellInfo(1966), }
	end
	
	-- Envenom
	if (GetSpellInfo(32645) ~= nil) then
		tmplist[string.lower(GetSpellInfo(32645))] = { color={0,1,0}, name=GetSpellInfo(32645), }
	end
	
	return tmplist
end
