local _, cClass = UnitClass("player")
if (cClass ~= "WARLOCK") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = { }

	-- Backdraft
	if (GetSpellInfo(117828) ~= nil) then
		tmplist[string.lower(GetSpellInfo(117828))] = { color={1,0,0.5}, name=GetSpellInfo(117828), }
	end
	
	-- Decimation
	if (GetSpellInfo(108869) ~= nil) then
		tmplist[string.lower(GetSpellInfo(108869))] = { color={0.8,0.2,0}, name=GetSpellInfo(108869), }
	end
	
	-- Voidwalker Sacrifice
	if (GetSpellInfo(7812) ~= nil) then
		tmplist[string.lower(GetSpellInfo(7812))] = { color={0,0.5,1}, name=GetSpellInfo(7812), }
	end
	
	-- Molten Core
	if (GetSpellInfo(122351) ~= nil) then
		tmplist[string.lower(GetSpellInfo(122351))] = { color={1,0,0.5}, name=GetSpellInfo(122351), }
	end
	
	-- Shadow Trance
	if (GetSpellInfo(17941) ~= nil) then
		tmplist[string.lower(GetSpellInfo(17941))] = { color={1,0,0.5}, name=GetSpellInfo(17941), }
	end
	
	return tmplist
end
