local _, cClass = UnitClass("player")
if (cClass ~= "SHAMAN") then return end

local Quartz3 = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
if not Quartz3 then error("Quartz3 not found!"); return end

local QuartzProcs = Quartz3:GetModule("Procs")
if not QuartzProcs then return end

function QuartzProcs:returnProcList()
	local tmplist = { }
	
	-- Maelstrom Weapon
	if (GetSpellInfo(53817) ~= nil) then
		tmplist[string.lower(GetSpellInfo(53817))] = { color={0,0.5,1}, name=GetSpellInfo(53817), }
	end

	-- Elemental Mastery
	if (GetSpellInfo(16166) ~= nil) then
		tmplist[string.lower(GetSpellInfo(16166))] = { color={0,0,1}, name=GetSpellInfo(16166), }
	end
	
	-- Tidal Waves
	if (GetSpellInfo(53390) ~= nil) then
		tmplist[string.lower(GetSpellInfo(53390))] = { color={0.25,0.5,0.75}, name=GetSpellInfo(53390), }
	end

	-- Lava Surge
	if (GetSpellInfo(77762) ~= nil) then
		tmplist[string.lower(GetSpellInfo(77762))] = { color={1,0,0}, name=GetSpellInfo(77762), }
	end
	
	-- Ancestral Guidance
	if (GetSpellInfo(108281) ~= nil) then
		tmplist[string.lower(GetSpellInfo(108281))] = { color={0,0,1}, name=GetSpellInfo(108281), }
	end
	
	-- Ascendance
	if (GetSpellInfo(114050) ~= nil) then
		tmplist[string.lower(GetSpellInfo(114050))] = { color={0.93,0.83,0.72}, name=GetSpellInfo(114050), }
	end
	
	-- Spiritwalker's Grace
	if (GetSpellInfo(79206) ~= nil) then
		tmplist[string.lower(GetSpellInfo(79206))] = { color={0.2,0.8,0.2}, name=GetSpellInfo(79206), }
	end
	
	return tmplist
end